datablock FlyingVehicleData(VTOLRocketVehicle : TwinBladedVTOLVehicle)
{
      shapeFile   = "./VTOLRocket.dts";  
     uiName   = "Rocket VTOL";

shootonclick=1;
shootOnClick_spread = 0.0015;
shootonclick_Hold=1;
shootonclick_ShootDelay=700;
shootonclick_ReShootDelay=700;
shootonclick_ProjectileCount=1;
shootonclick_RequiredSlot=0;
shootonclick_Sound=rocketFireSound;

shootonclick_Projectile[0]=rocketLauncherProjectile;
shootonclick_Position[0]="2.7 0 -3";
shootonclick_Velocity[0]="200 0 0";
shootonclick_Scale[0]="1 1 1";
};
datablock DebrisData(VTOLRocketDebris : TwinBladedVTOLDebris)
{
	lifetime = 4.0;
};
datablock ExplosionData(VTOLRocketVehicleExplosion : TwinBladedVTOLFinalExplosion)
{   
	lightEndRadius = 21;
};
datablock ProjectileData(VTOLRocketVehicleProjectile : TwinBladedVTOLFinalExplosionProjectile)
{
   radiusDamage        = 1;
};
function VTOLRocketvehicle::onadd(%this,%obj)
{
	   %obj.playThread(0,"spin");
}

function VTOLRocketVehicle::onImpact(%this, %obj, %data)
{
   %speed = vectorLen(%obj.getVelocity());
   if(%speed < 2)
      return;

   %p = new Projectile()
   {
      dataBlock = JeepExplosionProjectile;
      initialPosition = %obj.getPosition();
      client = %obj.lastDamageClient;
      sourceClient = %obj.lastDamageClient;
   };
   MissionCleanup.add(%p);

   if(%obj.destroyed)
      return;

   %obj.setDamageLevel(%this.maxDamage);
   %obj.destroyed = 1;
   %obj.schedule(%this.burnTime, "finalExplosion");
   if(isObject(getminigamefromobject(%obj)))
      %respawn = getminigamefromobject(%obj).vehicleReSpawnTime;
   %obj.spawnBrick.schedule(%respawn,"spawnVehicle");
}
